scala.tools.nsc.backend.icode.Members

# NoIMethod

###
Related Doc: package Members

#### object NoIMethod extends ICodes.IMethod

Source
  Members.scala

Linear Supertypes
ICodes.IMethod, ICodes.IMember, math.Ordered[ICodes.IMember], Comparable[ICodes.IMember], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NoIMethod
2. IMethod
3. IMember
4. Ordered
5. Comparable
6. AnyRef
7. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def <(that: ICodes.IMember): Boolean

   Definition Classes
     Ordered

4. #### def <=(that: ICodes.IMember): Boolean

   Definition Classes
     Ordered

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def >(that: ICodes.IMember): Boolean

   Definition Classes
     Ordered

7. #### def >=(that: ICodes.IMember): Boolean

   Definition Classes
     Ordered

8. #### def addHandler(e: ICodes.ExceptionHandler): Unit

   Definition Classes
     IMethod

9. #### def addLocal(l: ICodes.Local): ICodes.Local

   Definition Classes
     IMethod

10. #### def addLocals(ls: List[ICodes.Local]): Unit

    Definition Classes
      IMethod

11. #### def addParam(p: ICodes.Local): Unit

    Definition Classes
      IMethod

12. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

13. #### def blocks: List[ICodes.BasicBlock]

    Definition Classes
      IMethod

14. #### var bytecodeHasEHs: Boolean

    Definition Classes
      IMethod

15. #### var bytecodeHasInvokeDynamic: Boolean

    Definition Classes
      IMethod

16. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

17. #### var code: ICodes.Code

    Definition Classes
      IMethod

18. #### def compare(other: ICodes.IMember): Int

    Definition Classes
      IMember → Ordered

19. #### def compareTo(that: ICodes.IMember): Int

    Definition Classes
      Ordered → Comparable

20. #### def dump(): Unit

    Definition Classes
      IMethod

21. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def equals(other: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      IMember → AnyRef → Any

23. #### var exh: List[ICodes.ExceptionHandler]

    The list of exception handlers, ordered from innermost to outermost.

    The list of exception handlers, ordered from innermost to outermost.

    Definition Classes
      IMethod

24. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

25. #### def foreachBlock[U](f: (ICodes.BasicBlock) ⇒ U): Unit

    Definition Classes
      IMethod

26. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

27. #### def hasCode: Boolean

    Definition Classes
      IMethod

28. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      IMember → AnyRef → Any

29. #### def isAbstractMethod: Boolean

    Is this method deferred ('abstract' in Java sense)?

    Is this method deferred ('abstract' in Java sense)?

    Definition Classes
      IMethod

30. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

31. #### def isStatic: Boolean

    Definition Classes
      IMethod

32. #### def lastBlock: ICodes.BasicBlock

    Definition Classes
      IMethod

33. #### def linearizedBlocks(lin: ICodes.Linearizer = self.linearizer): List[ICodes.BasicBlock]

    Definition Classes
      IMethod

34. #### var locals: List[ICodes.Local]

    local variables and method parameters

    local variables and method parameters

    Definition Classes
      IMethod

35. #### def lookupLocal(sym: Global.Symbol): Option[ICodes.Local]

    Definition Classes
      IMethod

36. #### def lookupLocal(n: Global.Name): Option[ICodes.Local]

    Definition Classes
      IMethod

37. #### var native: Boolean

    Definition Classes
      IMethod

38. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### def newBlock(): ICodes.BasicBlock

    Definition Classes
      IMethod

40. #### def normalize(): Unit

    Merge together blocks that have a single successor which has a single predecessor.

    Merge together blocks that have a single successor which has a single predecessor. Exception handlers are taken into account (they might force to break a block of straight line code like that).

    This method should be most effective after heavy inlining.

    Definition Classes
      IMethod

41. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

42. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

43. #### var params: List[ICodes.Local]

    method parameters

    method parameters

    Definition Classes
      IMethod

44. #### var recursive: Boolean

    Definition Classes
      IMethod

45. #### var returnType: ICodes.TypeKind

    Definition Classes
      IMethod

46. #### def setCode(code: ICodes.Code): ICodes.IMethod

    Definition Classes
      IMethod

47. #### var sourceFile: SourceFile

    Definition Classes
      IMethod

48. #### def startBlock: ICodes.BasicBlock

    Definition Classes
      IMethod

49. #### val symbol: Global.Symbol

    Definition Classes
      IMethod → IMember

50. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

51. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      IMethod → AnyRef → Any

52. #### final def updateRecursive(called: Global.Symbol): Unit

    Definition Classes
      IMethod

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ICodes.IMethod

### Inherited from ICodes.IMember

### Inherited from math.Ordered[ICodes.IMember]

### Inherited from Comparable[ICodes.IMember]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped